#ifndef NBTMODIFIER_TAGDOUBLE_H
#define NBTMODIFIER_TAGDOUBLE_H

#include "AbstractNamedTag.h"

class TagDouble : public AbstractNamedTag {
public:
    static constexpr quint8 ID = 6;

    TagDouble (const double value = 0);

    const double value () const;

protected:
    virtual void readPayloadFromData (QDataStream &data) override;
    virtual void writePayloadToData (QDataStream &data) const override;

private:
    double m_value;
};

#endif //NBTMODIFIER_TAGDOUBLE_H
