#ifndef NBTMODIFIER_TAGFLOAT_H
#define NBTMODIFIER_TAGFLOAT_H

#include <QtCore/qfloat16.h>
#include "AbstractNamedTag.h"

class TagFloat : public AbstractNamedTag {
public:
    static constexpr quint8 ID = 5;

    TagFloat (const float value = 0);

    const float value () const;

protected:
    virtual void readPayloadFromData (QDataStream &data) override;
    virtual void writePayloadToData (QDataStream &data) const override;

private:
    float m_value;
};

#endif //NBTMODIFIER_TAGFLOAT_H
