#ifndef NBTMODIFIER_TAGINT_H
#define NBTMODIFIER_TAGINT_H

#include "AbstractNamedTag.h"

class TagInt : public AbstractNamedTag {
public:
    static constexpr quint8 ID = 3;

    TagInt (const qint32 value = 0);

    const qint32 value () const;

protected:
    virtual void readPayloadFromData (QDataStream &data) override;
    virtual void writePayloadToData (QDataStream &data) const override;

private:
    qint32 m_value;
};

#endif //NBTMODIFIER_TAGINT_H
