#ifndef NBTMODIFIER_TAGSHORT_H
#define NBTMODIFIER_TAGSHORT_H

#include "AbstractNamedTag.h"

class TagShort : public AbstractNamedTag {
public:
    static constexpr quint8 ID = 2;

    TagShort (const qint16 value = 0);

    const qint16 value () const;

protected:
    virtual void readPayloadFromData (QDataStream &data) override;
    virtual void writePayloadToData (QDataStream &data) const override;

private:
    qint16 m_value;
};

#endif //NBTMODIFIER_TAGSHORT_H
